Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		bug-buddy
Version:	2.28.0
Release:	1
BuildArch:	i686
Summary:	A bug reporting utility for GNOME
License:	GNU/GPL
Group:		System/Tools
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/pre-gnome2/%{name}/%{name}-%{version}.tar.bz2
URL:		http://ftp.gnome.org/pub/GNOME/sources/bug-buddy/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	gdb

PreReq:        	desktop-file-utils

Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf

# Needed by intltool
BuildRequires: 	perl-XML-Parser
BuildRequires: 	gnome-doc-utils
BuildRequires: 	libsoup-devel
BuildRequires: 	libgtop-devel
BuildRequires: 	evolution-data-server-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: elfutils-libelf-devel
BuildRequires: evolution-data-server-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-menus-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: libbonobo-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgtop-devel
BuildRequires: libpng-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel popt-devel

%description
Bug-buddy is a bug reporting utility for the GNOME desktop GUI
environment. Bug-buddy can obtain a stack trace from a core file or
crashed application; it can determine the versions of packages
installed on your system; it can be started from gmc (by
double-clicking on a core file) and from the crash dialog; and it
supports the GNOME, KDE, Debian, and Ximian bug tracking systems.

%prep
%setup -q

%build
%configure \
--disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

## http://bugzilla.gnome.org/show_bug.cgi?id=89356
perl -pi -e 's/Categories=Application;Development$/Categories=Application;Development;/' $RPM_BUILD_ROOT%{_datadir}/applications/* 

#desktop-file-install --vendor gnome --delete-original       \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
#  --add-category X-Red-Hat-Extra                            \
#  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

# bug buddy doesn't seem to have schemas at the moment?
%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/bug-buddy.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/bug-buddy.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/bug-buddy.schemas > /dev/null || :
fi

%postun
update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/icons/hicolor/48x48/apps/bug-buddy.png
%{_datadir}/bug-buddy
%{_datadir}/applications
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%_libdir/bug-buddy/libbreakpad*
%_libdir/gtk-2.0/modules/libgnomebreakpad*
%{_datadir}/icons/HighContrastLargePrint/48x48/apps/bug-buddy.png
%{_datadir}/icons/hicolor/16x16/apps/bug-buddy.png
%{_datadir}/icons/hicolor/22x22/apps/bug-buddy.png
%{_datadir}/icons/hicolor/24x24/apps/bug-buddy.png
%{_datadir}/icons/hicolor/32x32/apps/bug-buddy.png
%{_datadir}/icons/hicolor/scalable/apps/bug-buddy.svg
%{_datadir}/man/man1/bug-buddy.1.gz

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Tue Mar 31 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.22.0-3
- rebuilt against gnutls 2.2.2
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.22.0-2
- changed package group to System/Tools
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-2
- rebuild against new sysconf locations
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Initial release
